package com.emr.entity.his;

public class HISBA5 {
    private Long fid;

    private String fprn;

    private Integer ftimes;

    private Integer fbabynum;

    private String fname;

    private String fbabysexbh;

    private String fbabysex;

    private Double ftz;

    private String fresultbh;

    private String fresult;

    private String fzgbh;

    private String fzg;

    private String fgricd10;

    private String fgrname;

    private Integer fbabygr;

    private Integer fbabyqj;

    private Integer fbabysuc;

    private String fhxbh;

    private String fhx;

    public Long getFid() {
        return fid;
    }

    public void setFid(Long fid) {
        this.fid = fid;
    }

    public String getFprn() {
        return fprn;
    }

    public void setFprn(String fprn) {
        this.fprn = fprn == null ? null : fprn.trim();
    }

    public Integer getFtimes() {
        return ftimes;
    }

    public void setFtimes(Integer ftimes) {
        this.ftimes = ftimes;
    }

    public Integer getFbabynum() {
        return fbabynum;
    }

    public void setFbabynum(Integer fbabynum) {
        this.fbabynum = fbabynum;
    }

    public String getFname() {
        return fname;
    }

    public void setFname(String fname) {
        this.fname = fname == null ? null : fname.trim();
    }

    public String getFbabysexbh() {
        return fbabysexbh;
    }

    public void setFbabysexbh(String fbabysexbh) {
        this.fbabysexbh = fbabysexbh == null ? null : fbabysexbh.trim();
    }

    public String getFbabysex() {
        return fbabysex;
    }

    public void setFbabysex(String fbabysex) {
        this.fbabysex = fbabysex == null ? null : fbabysex.trim();
    }

    public Double getFtz() {
        return ftz;
    }

    public void setFtz(Double ftz) {
        this.ftz = ftz;
    }

    public String getFresultbh() {
        return fresultbh;
    }

    public void setFresultbh(String fresultbh) {
        this.fresultbh = fresultbh == null ? null : fresultbh.trim();
    }

    public String getFresult() {
        return fresult;
    }

    public void setFresult(String fresult) {
        this.fresult = fresult == null ? null : fresult.trim();
    }

    public String getFzgbh() {
        return fzgbh;
    }

    public void setFzgbh(String fzgbh) {
        this.fzgbh = fzgbh == null ? null : fzgbh.trim();
    }

    public String getFzg() {
        return fzg;
    }

    public void setFzg(String fzg) {
        this.fzg = fzg == null ? null : fzg.trim();
    }

    public String getFgricd10() {
        return fgricd10;
    }

    public void setFgricd10(String fgricd10) {
        this.fgricd10 = fgricd10 == null ? null : fgricd10.trim();
    }

    public String getFgrname() {
        return fgrname;
    }

    public void setFgrname(String fgrname) {
        this.fgrname = fgrname == null ? null : fgrname.trim();
    }

    public Integer getFbabygr() {
        return fbabygr;
    }

    public void setFbabygr(Integer fbabygr) {
        this.fbabygr = fbabygr;
    }

    public Integer getFbabyqj() {
        return fbabyqj;
    }

    public void setFbabyqj(Integer fbabyqj) {
        this.fbabyqj = fbabyqj;
    }

    public Integer getFbabysuc() {
        return fbabysuc;
    }

    public void setFbabysuc(Integer fbabysuc) {
        this.fbabysuc = fbabysuc;
    }

    public String getFhxbh() {
        return fhxbh;
    }

    public void setFhxbh(String fhxbh) {
        this.fhxbh = fhxbh == null ? null : fhxbh.trim();
    }

    public String getFhx() {
        return fhx;
    }

    public void setFhx(String fhx) {
        this.fhx = fhx == null ? null : fhx.trim();
    }
}